# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
- The remaining of Material Design color palettes;
- More brand color palettes;
- List of colors representing the brand's gradients.
- The brands' official logos and icons downloaded from their official web sites.

## [0.1.8+1] - 2021-04-14
### Fixed
- Too long package description (pub dev's analysis tool complained about it).
   
### Changed
- Improve documentation (README and doc comments of several classes).

## [0.1.8] - 2021-04-14
### Added [#20](https://github.com/rafamizes/flutter_brand_palettes/issues/20)
- Material design's cyan accent color palette;
- Material design's cyan color palette;
- Material design's indigo accent color palette;
- Material design's indigo color palette;
- Material design's light blue accent color palette;
- Material design's light blue color palette.

## [0.1.7] - 2021-04-13
### Added [#24](https://github.com/rafamizes/flutter_brand_palettes/issues/24)
- American Express' color palette;
- Mastercard's color palette;
- PayPal's color palette;
- Visa's color palette.

## [0.1.6] - 2021-04-13
### Added [#23](https://github.com/rafamizes/flutter_brand_palettes/issues/23)
- Linkedin's color palette;
- TikTok's color palette;
- Tinder's color palette.

## [0.1.5] - 2021-04-13
### Added [#22](https://github.com/rafamizes/flutter_brand_palettes/issues/22)
- Kotlin's color palette.

## [0.1.4] - 2021-04-13
### Added [#21](https://github.com/rafamizes/flutter_brand_palettes/issues/21)
- Bitcoin's color palette.

## [0.1.3] - 2021-04-13
### Added [#19](https://github.com/rafamizes/flutter_brand_palettes/issues/19)
- Material design's light green color palette;
- Material design's light green accent color palette;
- Material design's lime color palette;
- Material design's lime accent color palette;
- Material design's teal color palette;
- Material design's teal accent color palette.

## [0.1.2] - 2021-04-12
### Added [#18](https://github.com/rafamizes/flutter_brand_palettes/issues/18)
- Material design's amber color palette;
- Material design's amber accent color palette;
- Material design's orange color palette;
- Material design's orange accent color palette;
- Material design's deep orange color palette;
- Material design's deep orange accent color palette;
- Material design's yellow color palette;
- Material design's yellow accent color palette.

## [0.1.1] - 2021-04-10
### Added [#17](https://github.com/rafamizes/flutter_brand_palettes/issues/17)
- Material design's green color palette;
- Material design's green accent color palette;
- Material design's blue color palette;
- Material design's blue accent color palette;
- Material design's red color palette;
- Material design's red accent color palette.

## [0.1.0] - 2021-04-09
### Changed (Breaking)
- Rename Slack class' constructor from "albergine" to "aubergine".

## [0.0.15] - 2021-04-09
### Added [#16](https://github.com/rafamizes/flutter_brand_palettes/issues/16)
- Material Design's Pink color palette;
- Material Design's Pink Accent color palette.

### Fixed
- Fix typos in README file.

## [0.0.14] - 2021-04-09
### Added
- Spotify color palette. [#15](https://github.com/rafamizes/flutter_brand_palettes/issues/15)

## [0.0.13] - 2021-04-09
### Added
- Slack color palette. [#14](https://github.com/rafamizes/flutter_brand_palettes/issues/14)

## [0.0.12] - 2021-04-09
### Added
- Youtube color palette. [#13](https://github.com/rafamizes/flutter_brand_palettes/issues/13)

## [0.0.11] - 2021-04-08
### Changed
- All constructors became const. [#12](https://github.com/rafamizes/flutter_brand_palettes/issues/12)

## [0.0.10] - 2021-04-08 [#10](https://github.com/rafamizes/flutter_brand_palettes/issues/10)
### Added
- Brown class (alias for Flutter's brown swatch)
  - Brown() ≡ (default) Colors.brown.shade500;
  - Brown.ultraLight() ≡ Colors.brown.shade50;
  - Brown.veryLight() ≡ Colors.brown.shade100;
  - Brown.light() ≡ Colors.brown.shade200;
  - Brown.lighter() ≡ Colors.brown.shade300;
  - Brown.bitLighter() ≡ Colors.brown.shade400;
  - Brown.bitDarker() ≡ Colors.brown.shade600;
  - Brown.darker() ≡ Colors.brown.shade700;
  - Brown.dark() ≡ Colors.brown.shade800;
  - Brown.veryDark() ≡ Colors.brown.shade900.

- BlueGrey class (alias for Flutter's blueGrey swatch)
  - BlueGrey() ≡ (default) Colors.blueGrey.shade500;
  - BlueGrey.ultraLight() ≡ Colors.blueGrey.shade50;
  - BlueGrey.veryLight() ≡ Colors.blueGrey.shade100;
  - BlueGrey.light() ≡ Colors.blueGrey.shade200;
  - BlueGrey.lighter() ≡ Colors.blueGrey.shade300;
  - BlueGrey.bitLighter() ≡ Colors.blueGrey.shade400;
  - BlueGrey.bitDarker() ≡ Colors.blueGrey.shade600;
  - BlueGrey.darker() ≡ Colors.blueGrey.shade700;
  - BlueGrey.dark() ≡ Colors.blueGrey.shade800;
  - BlueGrey.veryDark() ≡ Colors.blueGrey.shade900.

- Grey class (alias for Flutter's grey swatch)
  - Grey() ≡ (default) Colors.grey.shade500;
  - Grey.ultraLight() ≡ Colors.grey.shade50;
  - Grey.veryLight() ≡ Colors.grey.shade100;
  - Grey.light() ≡ Colors.grey.shade200;
  - Grey.lighter() ≡ Colors.grey.shade300;
  - Grey.pressedLight() ≡ Colors.grey[350];
  - Grey.bitLighter() ≡ Colors.grey.shade400;
  - Grey.bitDarker() ≡ Colors.grey.shade600;
  - Grey.darker() ≡ Colors.grey.shade700;
  - Grey.dark() ≡ Colors.grey.shade800;
  - Grey.bgDark() ≡ Colors.grey[850];
  - Grey.veryDark() ≡ Colors.grey.shade900.

## [0.0.9] - 2021-04-07
### Added
- Amazon color palette. [#9](https://github.com/rafamizes/flutter_brand_palettes/issues/9)

## [0.0.8] - 2021-04-07
### Added
- Microsoft color palette. [#8](https://github.com/rafamizes/flutter_brand_palettes/issues/8)

### Changed
- README package's description.

## [0.0.7] - 2021-04-07
### Added
- Color palettes: [#7](https://github.com/rafamizes/flutter_brand_palettes/issues/7)
  - Android;
  - Apple;
  - Iphone11;
  - Iphone11Pro;
  - Iphone7;
  - Iphone8;
  - IphoneXR;
  - IphoneXS.

## [0.0.6] - 2021-04-06
### Added
- Flutter color palette. [#6](https://github.com/rafamizes/flutter_brand_palettes/issues/6)

## [0.0.5] - 2021-04-06
### Added
- Twitter color palette. [#5](https://github.com/rafamizes/flutter_brand_palettes/issues/5)

## [0.0.4] - 2021-04-06
### Added
- Whatsapp color palette. [#4](https://github.com/rafamizes/flutter_brand_palettes/issues/4)

## [0.0.3] - 2021-04-06
### Added
- Facebook color palette. [#3](https://github.com/rafamizes/flutter_brand_palettes/issues/3)

## [0.0.2] - 2021-04-05
### Added
- Google color palette. [#2](https://github.com/rafamizes/flutter_brand_palettes/issues/2)

## [0.0.1+1] - 2021-04-05
### Changed
- Improve doc comments.

### Fixed
- Follow Dart file conventions.

## [0.0.1] - 2021-04-05
### Added
- Instagram color palette [#1](https://github.com/rafamizes/flutter_brand_palettes/issues/1).
